import type { InjectionKey } from 'vue';
import type { Key } from '../interface';
interface ResizeContextProps {
    onColumnResize: (columnKey: Key, width: number) => void;
}
export declare const ResizeContextKey: InjectionKey<ResizeContextProps>;
export declare function useProvideResize(props: ResizeContextProps): void;
export declare function useInjectResize(): ResizeContextProps;
export {};
